# Update loan program

**PATCH** `/loans/programs/{loan_program_id}`

It's unlikely that you will need to update a loan program. Please work with your Column team / Solution Engineer to update a loan program.

### Path Parameters

- `loan_program_id` `string` _(required)_ — Unique identifier for the loan program.

### Body Parameters

- `auto_sell` `boolean` — Indicates if seasoned principals/interests should be automatically sold to your platform.
- `collection_account_number_id` `string` — Default account number ID of your platform to deposit loan payments belonging to your platform.
- `default_interest_config_id` `string` — ID of the default interest configuration for this loan program.
- `purchase_funding_account_number_id` `string` — Default account number ID for your platform to fund loan purchases.

**Request**

```shell
curl 'https://api.column.com/loans/programs/<loan_program_id>' \
  -u :<YOUR API KEY> \
  -H 'Content-Type: application/json' \
  -d '{
    "auto_sell": true,
    "default_interest_config_id": "<default_interest_config_id>"
  }'
```

**Response 200**

```json
{
  "auto_sell": true,
  "close_after_sale": false,
  "collection_account_number_id": "acno_2zElEoGcUSU6fhF2qx5KUgMj7Yv",
  "created_at": "2025-06-30T17:20:04Z",
  "default_interest_config_id": "icfg_2zElEouBhi6bHB5IdAjq1Ot8SeP",
  "description": "charge card program",
  "id": "lpgm_2zElEkmKNaKXjDDCwo9LASIyRzt",
  "is_business_seasoning_days": false,
  "is_revolving": true,
  "max_days_to_purchase": 3,
  "purchase_funding_account_number_id": "acno_2zElEoGcUSU6fhF2qx5KUgMj7Yv",
  "retained_by_column": true,
  "seasoning_days": 10,
  "updated_at": "2025-06-30T10:20:03.75-07:00"
}
```
